Bug 502534

Summary: Review Request: mingw32-libgnurx - MinGW Regex library
Product: [Fedora] Fedora Reporter: Erik van Pienbroek <erik-fedora>
Component: Package ReviewAssignee: Thomas Sailer <t.sailer>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-mingw, fedora-package-review, notting, t.sailer
Target Milestone: ---Flags: t.sailer: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.5.1-2.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-04 21:16:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Erik van Pienbroek 2009-05-25 22:56:09 UTC
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libgnurx.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libgnurx-2.5.1-1.fc11.src.rpm
Description:
MinGW Windows regular expression library

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1376442

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 Thomas Sailer 2009-05-26 07:09:42 UTC
Fedora review http://www.ftd4linux.nl/contrib/mingw32-libgnurx-2.5.1-1.fc11.src.rpm 2009-05-26

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1376692

rpmlint output:
$ rpmlint mingw*.rpm mingw32-libgnurx.spec
mingw32-libgnurx-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libregex.a
mingw32-libgnurx-static.noarch: W: no-documentation
4 packages and 1 specfiles checked; 1 errors, 1 warnings.

As per Packaging/MinGW, these errors can be ignored.

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
  version seems to be slightly ahead of native (1.1 vs. 1.0) please try to
  stick to the native version
+ License meets guidelines and is acceptable to Fedora
  LGPLv2.1
! License matches the actual package license
  Its not BSD
+ The package contains the license file (COPYING.LIB)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
35c8fed3101ca1f253e9b6b1966661f6  mingw-libgnurx-2.5.1-src.tar.gz
35c8fed3101ca1f253e9b6b1966661f6  x/mingw-libgnurx-2.5.1-src.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
n/a Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

Comment 2 Erik van Pienbroek 2009-05-26 08:57:16 UTC
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libgnurx.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libgnurx-2.5.1-2.fc11.src.rpm

* Tue May 26 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.5.1-2
- Fixed license tag

Comment 3 Thomas Sailer 2009-05-26 09:17:39 UTC
APPROVED by sailer

Comment 4 Erik van Pienbroek 2009-05-26 09:22:24 UTC
Thanks for the quick review!

New Package CVS Request
=======================
Package Name: mingw32-libgnurx
Short Description: MinGW Regex library
Owners: epienbro rjones
Branches: F-10 F-11
InitialCC:

Comment 5 Jason Tibbitts 2009-05-26 22:37:27 UTC
CVS done.

Comment 6 Fedora Update System 2009-06-02 15:15:07 UTC
mingw32-libgnurx-2.5.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libgnurx-2.5.1-2.fc11

Comment 7 Fedora Update System 2009-06-02 15:15:42 UTC
mingw32-libgnurx-2.5.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libgnurx-2.5.1-2.fc10

Comment 8 Fedora Update System 2009-06-04 21:16:08 UTC
mingw32-libgnurx-2.5.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-06-04 21:19:30 UTC
mingw32-libgnurx-2.5.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.